Subject: state-of-art SLs

From: Leonardo Saavedra Henriquez <[email-masked]>
Date: Sat, 26 Jul 2003 15:20:38 -0400 (CLT)

Hi All

I would like to know what is state  of Site-Local Adress?
Are they  deprecated? or  will be they deprecated?

TIA

--
Leonardo Saavedra Henriquez
mailtp:[email-masked]

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Robert Elz <[email-masked]>
Date: Sun, 27 Jul 2003 17:58:44 +0700

Date:        Sat, 26 Jul 2003 15:20:38 -0400 (CLT)
    From:        Leonardo Saavedra Henriquez <[email-masked]>
    Message-ID:  <[email-masked]>

  | I would like to know what is state  of Site-Local Adress?
  | Are they  deprecated? or  will be they deprecated?

They are still in  the standards.   They are still in (most) implementations.

There are a bunch of people that believe that they have been deprecated
(making a huge leap of faith that a vote in a working group translates
into IETF action), but there are no documents even written yet, let alone
published as RFCs that say that.

The chances that SL addresses will simply be deprecated are something
approaching zero.   There is a more reasonable chance that some kind of
alternative may replace them, one day.

For now, just use SL addresses for any purpose where appropriate
functionality is required.

kre

---

From: Scott Bradner <[email-masked]>
Date: Mon, 28 Jul 2003 15:11:01 -0400 (EDT)

> The chairs have read all of the messages on the list, and based on your 
> considerable input, we have determined that the IPv6 WG does have rough 
> consensus to deprecate the usage of IPv6 site-local unicast addressing AND 
> to investigate alternative mechanisms for local addressing and local access 
. control.

humm - it is not all that often that we have said that 2/3 is rough 
consensus in the IETF - in my exterience if 1/3 is not in support
then I would not claim consensus (even 6 grit) - 3/4 would be very
rough indeed, 5/6 would be the mininum I would say was "rough consensus"

just when does "rough consensus" faid out in this model?

Scott

---

From: Bhaskar S <[email-masked]>
Date: Mon, 28 Jul 2003 16:55:52 -0400

Hi Erik,

The document mentioned below, has it been published? If yes
please could you send me the link?

Erik Nordmark wrote:
> 
> Here is a revelant email.
> I haven't seen a different statement on WG consensus on this topic.
> 
>   Erik
> 
> 
>    (1) Publish an informational document that explains the issues
>        encountered with site-local addressing and our reasons
>        for deprecating IPv6 site-local unicast addresses.  This
>        document will officially deprecate site-local addressing.
> 

-- 
Best Regards,

Bhaskar S.

978-858-2896 (o)

---

From: Margaret Wasserman <[email-masked]>
Date: Mon, 28 Jul 2003 16:58:35 -0400

Thanks, Erik.

Leonard, this statement represents the consensus of the WG, as
determined both at the face-to-face meeting in San Francisco and
on the mailing list in April.

We are currently working to carry out the action plan described
in this message, which does include the deprecation of site-local
addresses.  There is already a new version of the scoped addressing
architecture that removes site-local addressing, and work is
underway to produce the document that will officially deprecate
the site-local prefix.

Margaret

At 02:50 PM 7/28/2003 +0200, Erik Nordmark wrote:

>Date: Wed, 09 Apr 2003 15:11:04 -0700
>From: "Bob Hinden & Margaret Wasserman" <[email-masked]>
>Subject: Consensus on Site-Local Addressing
>To: [email-masked]
>
>Hi All,
>
>Well, that was fun!  :-)
>
>All told, there were over 200 responses to the consensus call on IPv6
>site-local addressing, approximately 3-to-1 in favor of deprecating IPv6
>site-local unicast addressing.  The final count (including the room and the
>mailing list) was:  155 YES, 56 NO (211 Total).
>
>There were also a significant number of the people on both sides of this
>issue that voiced (in their original responses, or in subsequent messages)
>a strong belief that we should investigate alternative mechanisms for local
>addressing and local access control.
>
>control.
>In particular, the IPv6 WG will work to accomplish the following things in
>parallel:
>
>    (2) Remove site-local unicast addressing from the IPv6
>        scoped addressing architecture I-D, and publish the
>        parts of the document on which we do have consensus
>        (i.e., link local addresses, multicast, etc.).  This
>        will include a note that the IPv6 working group is
>        investigating other forms of local IPv6 addressing and
>        that the usage of any new forms of local addresses will be
>        documented elsewhere.
>
>    (3) Update the IPv6 addressing architecture to indicate that the
>        usage of the FECO::/10 prefix for site-local addressing is
>        deprecated.  To maintain backward compatibility with existing
>        implementations the prefix should be reserved and should not
>        be allocated for other purposes.
>
>    (4) Define and publish the requirements for a local addressing
>        mechanism to provide:
>          - Addresses for disconnected networks.
>          - Addresses for intermittently connected networks.
>          - Addresses that support merging of sites.
>          - Stable local addresses for changing ISPs without
>            disrupting local communication.
>        Once we have consensus on the requirements, the IPv6
>        WG will work on solutions for local addressing that
>        meet those requirements.
>
>    (5) Define and publish the requirements for a local access
>        control mechanism, then work on a solution that meets
>        those requirements.
>
>Each of these new work items will need to be added to the IPv6 WG charter
>and will go through the normal IETF document processes.  For (4) and (5) it
>is important to make the rest of the IETF community aware that the IPv6 WG
>is undertaking these tasks, so we will consider methods to invite wider
>review and discussion of these problems.
>
>IPv6 site-local addressing has been a contentious issue in the IPv6 WG for
>some time, and we are both glad to see the WG reach consensus on this
>issue.  This will allow us to complete and publish the IPv6 scoped
>addressing architecture document, an important part of the IPv6 specification.
>
>We hope that people on all sides of this issue will respect the rough
>consensus of the WG, and will work with us to achieve the goals outlined 
>above.
>  Thanks to everyone who expressed an opinion during this discussion.
>
>Bob Hinden & Margaret Wasserman
>IPv6 WG Chairs
>
>

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 28 Jul 2003 14:50:55 +0200 (CEST)

Erik

Hi All,

Well, that was fun!  :-)

We hope that people on all sides of this issue will respect the rough 
consensus of the WG, and will work with us to achieve the goals outlined above.
 Thanks to everyone who expressed an opinion during this discussion.

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 29 Jul 2003 10:54:13 +0200 (CEST)

> >        document will officially deprecate site-local addressing.

Hasn't been published.
But this is the document that Brian Carpenter said he is a co-author of.

  Erik

---

From: Robert Elz <[email-masked]>
Date: Tue, 29 Jul 2003 21:35:34 +0700

Date:        Mon, 28 Jul 2003 15:11:01 -0400 (EDT)
    From:        Scott  Bradner <[email-masked]>
    Message-ID:  <[email-masked]>

  | humm - it is not all that often that we have said that 2/3 is rough 
  | consensus in the IETF

Well said.

In another place, not all that far away, at another time, also not
all that far away, where there was an issue that was dividing the
working group concerned, and where there was a search for a consensus,
the chair (very wisely, and correctly, IMNSHO) eventually said...

| The FOO_BAR issue has to some extent polarized the working group into folks
| that are "for" FOO_BAR and folks that are "against" FOO_BAR.  
| Fortunately, the polarization is not strong and for the most part amicable.
| But ultimately, this polarization puts the WG chairs in a nearly impossible
| situation.

| Consensus doesn't mean majority rule, nor even super majority, in fact, any
| sense of voting is undesirable.  The fact that we have folks supporting or
| not supporting FOO_BAR is a symptom that I think we've lost the way to
| consensus.

The decision was, that even though there were more people supporting
a proposed change to an existing spec (actually in this case, just an
existing I-D that had not gone as far as RFC publication, and hence
"IETF as a whole" approval) than were opposed to it, there was no consensus
to make the change, and the change was not made.

That's what should be the position in this WG as well.

At the minute however, it really doesn't matter much, as nothing has
actually been done (Brian claims that eventually a draft will appear,
which I expect will then get debated).   Working groups claiming to
have made a decision (even when the WG actually has made a decision)
means just about nothing to the IETF process overall.   Only publication
of RFCs after IETF consensus after IETF last call achieves that.

kre

---

From: Margaret Wasserman <[email-masked]>
Date: Tue, 29 Jul 2003 09:11:30 -0400

Hi Bhaskar,

This document has not yet been published...  Christian Huitema
and Brian Carpenter have agreed to write it, and Christian
did discuss its proposed contents in Vienna.  We are hoping
that a first draft will be available soon.

Margaret

---

From: Bhaskar S <[email-masked]>
Date: Tue, 29 Jul 2003 11:33:49 -0400

Thanks Margaret,

I did not mean it as a negative statement. :-)

-- 
Best Regards,

Bhaskar S.

978-858-2896 (o)

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 28 Jul 2003 09:18:19 +0200

Robert, there will soon be a draft documenting the WG face to face consensus
(which you don't happend to agree with) and that draft will of course
be put before the WG for formal consensus determination. At the same time
there is a combined draft being written on the requirements for the 
replacement, and a draft proposal for the replacement 
(draft-hinden-ipv6-global-local-addr-02.txt) was accepted as a WG
item in the recent face to face meeting.

So the chances that FEC0::/10 will be formally deprecated and replaced
by something better are close to 100%.

As a co-author of the intended deprecation draft, I will try to ensure
that it doesn't destroy currently shipping software.

   Brian

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Distinguished Engineer, Internet Standards & Technology, IBM 

NEW ADDRESS <[email-masked]> PLEASE UPDATE ADDRESS BOOK